### Method

# PapersDocument DocumentSignatures set_password_callback

#### Declaration [src]

    void
    pps_document_signatures_set_password_callback (
      PpsDocumentSignatures* document_signatures,
      PpsSignaturePasswordCallback cb,
      gpointer user_data
    )

#### Description [src]

Popplers crypto backend asks for certificate password before access, so set a helper function to actually allow the user to enter his password.

#### Parameters

`cb`

  Type: `PpsSignaturePasswordCallback`

  (closure user_data) an `PpsSignaturePasswordCallback`.

`user_data`

  Type: `gpointer`

  Data to pass to `cb`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.